<?php
/*********************************************
Desciption: Páginas gerais dinâmicas detalhe
File: /conteudos/detalhe/index.php
Project: Basikus.Net
Developers: João Vieira	
Start Date: 2009/11/16
*********************************************/

//configuração principal
require_once($_SERVER['DOCUMENT_ROOT'] . "/includes/configuracao.default.php");
//total iteracção com base de dados
require_once($_SERVER['DOCUMENT_ROOT'] . "/includes/classe.bd.php");
//funções de tratamento de textos
include($_SERVER['DOCUMENT_ROOT'] . '/includes/funcoes.default.php');

//que página é esta?
$strPagina 		= '';
$paginaId 		= 0;
$paginaTitulo		= '';
$paginaConteudo 	= '';

$acCao 			= explode("/", $_SERVER['QUERY_STRING']);
$paginaId 		= (int)$acCao[0];
$catId			= 1;

//meta tags inicialização
$paginaTitle		= '';
$paginaKeywords		= '';
$paginaDescription	= '';

$paginaCache 		= 0;

$sqlProtect		= '';

if ( (int) $_SESSION['sessao_user_id'] < 1 ) $sqlProtect = " AND conteudos.protegido LIKE 'NAO' ";

//Smarty stuff
define('SMARTY_DIR', $_SERVER["DOCUMENT_ROOT"] . '/includes/Smarty/');
require_once(SMARTY_DIR . '/Smarty.class.php');
$smartyPg = new Smarty;
$smartyPg->template_dir     = $_SERVER['DOCUMENT_ROOT'] . '/tpl/html';
$smartyPg->compile_dir      = $_SERVER['DOCUMENT_ROOT'] . '/tplcomp';
$smartyPg->cache_dir        = $_SERVER['DOCUMENT_ROOT'] . '/tplcach';
$smartyPg->caching	    = 1; // lifetime is per cache
$smartyPg->cache_lifetime   = $paginaCache; //60*60*24;//segundos*minutos*horas, um dia completo :)
$smartyPg->use_sub_dirs     = true;
$smartyPg->force_compile    = true;

$smartyPg->assign('Charset', 'utf-8');
$smartyPg->assign('pgConteudo', '');
$smartyPg->assign('pgTitulo', '');

//puxa dados de conteudo e categoria respectiva
$respostaDb->GetCategoriaConteudo($paginaId);
$respostaDb->oBug	= false;
$rowResultDb 		= NULL;
if ( $resultDb = $respostaDb->puXa() ) {
    $rowResultDb = $resultDb->fetch(PDO::FETCH_ASSOC);
    if ( $rowResultDb['cpai'] > 0 ) $catId = $rowResultDb['cpai'];
    else $catId = $rowResultDb['cid'];
}else die("Em Manutenção (X.1)");

switch ($catId) {
    case 1:
        $strPagina = "pg.noticias-detalhe";
        break;
    case 2:
        $strPagina = "pg.pacote-detalhe";
        break;
    case 3:
        $strPagina = "pg.viagens-a-realizar-detalhe";
        break;
    default:
       die("Em Manutenção (X.2)");
}

if ( $siteLng != "pt" ) $strPagina .= "-" . $siteLng;

if(!$smartyPg->is_cached($strPagina . ".html", $strPagina . "." . $paginaId)) {

    //lista eventos página inicial
    $smartyPg->assign('listaEventos', array());
    $intCategoria		= '3';
    $respostaDb->GetConteudos($intCategoria, "2", " AND DATE_FORMAT(conteudos.dataentrada, '%Y%m%d') > DATE_FORMAT(NOW(), '%Y%m%d') ORDER BY conteudos.dataentrada ASC");
    $respostaDb->oBug	= false;
    $rowResultDb	= NULL;
    if ( $resultDb = $respostaDb->puXa() ){
	$listaConteudos	= array();
	$indice 	= 0;
	while($rowResultDb = $resultDb->fetch(PDO::FETCH_ASSOC)){
	    $listaConteudos[$indice]['id']		= $rowResultDb['cid'];
	    $listaConteudos[$indice]['titulo']		= trd($rowResultDb['ctitulo'], $siteLng);
	    $listaConteudos[$indice]['texto']		= substr(strip_tags(trd($rowResultDb['ctexto'], $siteLng)), 0, 38);
	    $listaConteudos[$indice]['dia']		= $rowResultDb['cdataentrada'];
	    $listaConteudos[$indice]['categoria']	= trd($rowResultDb['ccnome'], $siteLng);
	    $listaConteudos[$indice]['metaurl']		= trd($rowResultDb['cmetaurl'], $siteLng);
	    if ( strlen(trim($listaConteudos[$indice]['metaurl'])) < 5 ) $listaConteudos[$indice]['metaurl'] = formata_urllink($listaConteudos[$indice]['titulo']);
	    $strImagem	= explode('<img src="', trd($rowResultDb['ctexto'], $siteLng));
	    if ( isset($strImagem[1]) ) {
		$strImagem	= explode('"', $strImagem[1]);
		$listaConteudos[$indice]['imagem']	= $strImagem[0];
	    }else $listaConteudos[$indice]['imagem']	= imgNenhumaNormal;
	    $indice++;
	}
	$smartyPg->assign('listaEventos', $listaConteudos);
    }



    //lista notícias páginas inicial
    $smartyPg->assign('listaNoticias', array());
    $intCategoria		= '1';
    $respostaDb->GetConteudos($intCategoria, "3", $sqlProtect . "AND conteudos.destaque LIKE 'SIM' AND DATE_FORMAT(conteudos.dataentrada, '%Y%m%d') <= DATE_FORMAT(NOW(), '%Y%m%d') AND DATE_FORMAT(conteudos.datasaida, '%Y%m%d') > DATE_FORMAT(NOW(), '%Y%m%d') ORDER BY conteudos.dataentrada DESC");
    $respostaDb->oBug	= false;
    $rowResultDb	= NULL;
    if ( $resultDb = $respostaDb->puXa() ){
	$listaConteudos	= array();
	$indice 	= 0;
	while($rowResultDb = $resultDb->fetch(PDO::FETCH_ASSOC)){
	    $listaConteudos[$indice]['id']	= $rowResultDb['cid'];
	    $listaConteudos[$indice]['titulo']	= trd($rowResultDb['ctitulo'], $siteLng);
	    $listaConteudos[$indice]['texto']	= substr(strip_tags(trd($rowResultDb['ctexto'], $siteLng)), 0, 90);
	    $listaConteudos[$indice]['dia']	= $rowResultDb['cdataentrada'];
	    $listaConteudos[$indice]['metaurl']	= trd($rowResultDb['cmetaurl'], $siteLng);
	    if ( strlen(trim($listaConteudos[$indice]['metaurl'])) < 5 ) $listaConteudos[$indice]['metaurl'] = formata_urllink($listaConteudos[$indice]['titulo']);
	    $indice++;
	}
	$smartyPg->assign('listaNoticias', $listaConteudos);
    }


    //puxa dados base desta página
    $respostaDb->GetConteudo ($paginaId);
    $respostaDb->oBug	= false;
    $rowResultDb 	= NULL;
    if ( $rowResultDb = $respostaDb->puXa() ) {
	$paginaTitulo		= trd($rowResultDb['ctitulo'], $siteLng);
	$paginaConteudo 	= trd($rowResultDb['ctexto'], $siteLng);
	$paginaTitle    	= trd($rowResultDb['cmetatitle'], $siteLng);
	$paginaKeywords 	= trd($rowResultDb['cmetakeywords'], $siteLng);
	$paginaDescription	= trd($rowResultDb['cmetadescription'], $siteLng);

	$smartyPg->assign('pgCategoria', stripslashes(trd($rowResultDb['ccnome'], $siteLng)));
	$smartyPg->assign('pgConteudo', stripslashes($paginaConteudo));
	$smartyPg->assign('pgTitulo', stripslashes($paginaTitulo));
	$smartyPg->assign('pgDia', $rowResultDb['cdataentrada']);

	if ( strlen($paginaTitle) < 3 ) $paginaTitle = $paginaTitulo;
	
    }else die("Em Manutenção (X.3)");


    //lista pacotes página inicial
    $smartyPg->assign('listaPacotesDestaque', array());
    $intCategoria		= '2';
    if ( isset($intPais) ) {
	if ( (int)$intPais > 0 ) $intCategoria = $intPais;
    }
    $qUantos = 3;
    if ( strpos($_SERVER['REQUEST_URI'], 'pacotes.html') !== false ) $qUantos = '1';

    $respostaDb->GetConteudos($intCategoria, $qUantos, $sqlProtect . "AND conteudos.destaque LIKE 'SIM' AND DATE_FORMAT(conteudos.dataentrada, '%Y%m%d') <= DATE_FORMAT(NOW(), '%Y%m%d') AND DATE_FORMAT(conteudos.datasaida, '%Y%m%d') >= DATE_FORMAT(NOW(), '%Y%m%d') ORDER BY conteudos.dataentrada DESC");
    $respostaDb->oBug	= false;
    $rowResultDb	= NULL;
    $listaConteudos	= array();
    $indice 		= 0;
    if ( $qUantos == 1 ) {
	if ( $rowResultDb = $respostaDb->puXa() ){
	    $listaConteudos[$indice]['id']		= $rowResultDb['cid'];
	    $listaConteudos[$indice]['titulo']		= trd($rowResultDb['ctitulo'], $siteLng);
	    $listaConteudos[$indice]['texto']		= substr(strip_tags(trd($rowResultDb['ctexto'], $siteLng)), 0, 60);
	    $listaConteudos[$indice]['dia']		= $rowResultDb['cdataentrada'];
	    $listaConteudos[$indice]['categoria']	= trd($rowResultDb['ccnome'], $siteLng);
	    $listaConteudos[$indice]['metaurl']		= trd($rowResultDb['cmetaurl'], $siteLng);
	    if ( strlen(trim($listaConteudos[$indice]['metaurl'])) < 5 ) $listaConteudos[$indice]['metaurl'] = formata_urllink($listaConteudos[$indice]['titulo']);
	    $strImagem	= explode('<img', trd($rowResultDb['ctexto'], $siteLng));
	    if ( isset($strImagem[1]) ) {
		$strImagem	= explode('src="', $strImagem[1]);
		$strImagem	= explode('"', $strImagem[1]);
		$listaConteudos[$indice]['imagem']	= $strImagem[0];
	    }else $listaConteudos[$indice]['imagem']	= imgNenhumaNormal;
	}
    }else {

	if ( $resultDb = $respostaDb->puXa() ){
	    while($rowResultDb = $resultDb->fetch(PDO::FETCH_ASSOC)){
		$listaConteudos[$indice]['id']		= $rowResultDb['cid'];
		$listaConteudos[$indice]['titulo']		= trd($rowResultDb['ctitulo'], $siteLng);
		$listaConteudos[$indice]['texto']		= substr(strip_tags(trd($rowResultDb['ctexto'], $siteLng)), 0, 60);
		$listaConteudos[$indice]['dia']		= $rowResultDb['cdataentrada'];
		$listaConteudos[$indice]['categoria']	= trd($rowResultDb['ccnome'], $siteLng);
		$listaConteudos[$indice]['metaurl']		= trd($rowResultDb['cmetaurl'], $siteLng);
		if ( strlen(trim($listaConteudos[$indice]['metaurl'])) < 5 ) $listaConteudos[$indice]['metaurl'] = formata_urllink($listaConteudos[$indice]['titulo']);
		$strImagem	= explode('<img', trd($rowResultDb['ctexto'], $siteLng));
		if ( isset($strImagem[1]) ) {
		    $strImagem	= explode('src="', $strImagem[1]);
		    $strImagem	= explode('"', $strImagem[1]);
		    $listaConteudos[$indice]['imagem']	= $strImagem[0];
		}else $listaConteudos[$indice]['imagem']	= imgNenhumaNormal;
		$indice++;
	    }
	}
    }
    $smartyPg->assign('listaPacotesDestaque', $listaConteudos);





    $smartyPg->assign('pgTitulo', $paginaTitulo);
    $smartyPg->assign('pgConteudo', $paginaConteudo);

    $smartyPg->assign('infoTitle', $paginaTitle);
    $smartyPg->assign('infoKeywords', $paginaKeywords);
    $smartyPg->assign('infoDescription', $paginaDescription);
    $smartyPg->assign('infoHeader', '');
    $smartyPg->assign('infoFooter', '');
}

//variaveis globais a usar nos templates Smarty
include($_SERVER['DOCUMENT_ROOT'] . '/includes/variaveis.globais.php');

$smartyPg->display($strPagina . ".html", $strPagina . "." . $paginaId);

?>